#pragma once

#define FloatType double

struct COMPLEX
{
	FloatType A;
	
	FloatType NRe;
	FloatType NIm;
};

void ComplexInit(COMPLEX* Dst, FloatType Re, FloatType Im);
void ComplexRandom(COMPLEX* Dst, FloatType MinRe, FloatType MaxRe, FloatType MinIm, FloatType MaxIm);
FloatType ComplexRe(COMPLEX* z);
FloatType ComplexIm(COMPLEX* z);
void ComplexAdd(COMPLEX* Dst, COMPLEX* A, COMPLEX* B);
void ComplexSub(COMPLEX* Dst, COMPLEX* Minuent, COMPLEX* Subtrahend);
void ComplexMul(COMPLEX* Dst, COMPLEX* A, COMPLEX* B);
void ComplexDiv(COMPLEX* Dst, COMPLEX* Num, COMPLEX* Denom);
void ComplexIntPow(COMPLEX* Dst, COMPLEX* Base, unsigned int Exponent);